cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
kleber
Visitor
Visitor
9,214 Views
Registered: ‎10-04-2013

Where can I download the petalinux eclipse plugin?

The PetaLinux eclipse guide PDF indicates that the petalinux eclipse plugin can be downloaded from http://deverloper.petalinux.com/downloads/eclipse-plugin, but this website appears to now be unresponsive.  Is there a new download location for this package?

0 Kudos
13 Replies
qswsjs
Observer
Observer
9,202 Views
Registered: ‎07-18-2013

I have the same problem, anyone can help ?

0 Kudos
sampatd
Scholar
Scholar
9,190 Views
Registered: ‎09-05-2011

Hi, 
The installation of the plugin (and this is true all Eclipse plugins, not just the PetaLinux one) needs to have the network connection to install properly. 
 
And additional information. In some cases, you need proxy settings in eclipse. Refer to this page.
 
 
Regards,
 
0 Kudos
qswsjs
Observer
Observer
9,181 Views
Registered: ‎07-18-2013

http://www.xilinx.com/tools/petalinux/plugin 

I use this can download.But there is no petalinux menu in xsdk.You can try it

0 Kudos
tmcdowe
Xilinx Employee
Xilinx Employee
9,168 Views
Registered: ‎12-17-2007

kleber,

 

You are probably referring to an older version of the documentation.  The PetaLogix URL hasn't been the proper URL for quite a while.

 

The correct URL is as stated in the the v2013.04 version of UG979 (http://www.xilinx.com/support/documentation/sw_manuals/petalinux2013_04/ug979-petalinux-eclipse-plugin.pdf), page 4:

 

Specify the location of the site as

http://www.xilinx.com/tools/petalinux/plugin and press enter.

 

-------------------------------------------
this space intentionally left blank
qswsjs
Observer
Observer
9,161 Views
Registered: ‎07-18-2013

    Thanks very much! I have install ISE14.6 and petalinux-v2013.04 ,I get the license at  http://www.xilinx.com/getlicense for petalinux.I have copy the license to .xilinx folder ,But it doesn't work .when I  executive command in petalinux  it shows error:  

ERROR: No valid PetaLinux features! Typical causes for this error are either that there is no license file or that license files, which were found, do not contain a valid license with the required feature.

License is not free now ? How can i get valid license for petalinux ?thanks very much !

0 Kudos
kleber
Visitor
Visitor
9,146 Views
Registered: ‎10-04-2013

qswsjs,   Did you figure out how to get the Petalinux menu to show up in xsdk?  I have the same problem even though I did successfully install the plugin.

0 Kudos
qswsjs
Observer
Observer
9,139 Views
Registered: ‎07-18-2013

yea,I installed ISE14.4 and petalinux12.12 again ,then the petalinux menu come out!

0 Kudos
kleber
Visitor
Visitor
9,124 Views
Registered: ‎10-04-2013

Does anyone know how to get the Petalinux menu to display in Eclipse using the newest version of XSDK and Petalinux 2013.2?

 

I enter the petalinux install directory, run "source settings.sh" and then start xsdk.  However, when the Eclipse GUI comes up there is no petalinux menu.  I can click on Help -> About Platform and see the Petalinux SDK listed under installed software so I know it is present.

0 Kudos
kleber
Visitor
Visitor
9,119 Views
Registered: ‎10-04-2013

I tried with ISE 14.6 and have the same problem.  No "Petalinux SDK" menu item appears after installation.  Is 14.4 the last known working version?

0 Kudos
micelic
Visitor
Visitor
3,894 Views
Registered: ‎09-19-2013

Petalinux menu item will not show up unless you have a valid license for Petalinux.

 

Make sure when you get your license the MAC address you use is eth0. Some Dell machines running linux do not have eth0 and use a different scheme for ethernet. This can be changed however.

 

The petalinux license that gets generated is hard coded to use eth0.

0 Kudos
3,640 Views
Registered: ‎02-10-2014

Following error occured while installing petalinux eclipse plugin..what might be the cause?attached snapshot

 

Screenshot from 2014-04-08 14:51:11.png
Screenshot from 2014-04-08 14:51:30.png
0 Kudos
691 Views
Registered: ‎02-18-2020

New to PetaLinux. I've installed the SDK under Ubuntu. I'm now trying to install the PetaLinux plugin into my Vitis IDE. Following UG979 guide. I receive the following error when trying to access repository:

Unable to read repository at http://www.xilinx.com/tools/petalinux/plugin.
Unable to read repository at http://www.xilinx.com/tools/petalinux/plugin.
http://www.xilinx.com/tools/petalinux/plugin is not a valid repository location.

What am I doing wrong?

Ubuntu 18.04.4. Vitis IDE v2019.2. PetaLinux SDK 2019.2

Thanks,
Mike

0 Kudos
jw
Visitor
Visitor
508 Views
Registered: ‎09-02-2020

I am also experiencing issues with the petalinux plugin for eclipse. When attempting to install the software I get an 'unable to read repository' error. I have confirmed that I can connect to the internet by opening the browser withing eclipse and connecting to different websites. Has this issue been solved in another forum? 

0 Kudos